Fibo · Structured Prompt
Entegre et
bria/fibo/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Fibo · Structured Prompt modelini (bria/fibo/generate/structured_prompt) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/bria/fibo/generate/structured_prompt.md
POST https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/bria/fibo/generate/structured_prompt, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,01 10 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/bria/fibo/generate/structured_prompt?wait=20
fiyat → $0,01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Fibo · Structured Prompt hakkında
Görüntünün kendisi yerine görüntü için yapılandırılmış istemi döndüren dil modeli tarzı uç noktadır. Girdiler `prompt`, mevcut bir `structured_prompt` veya referans `image_url` ile `seed` değeridir. JSON çıktısı estetik, aydınlatma, nesneler, fotoğrafik özellikler, kısa açıklama, stil ortamı ve işlenecek metin gibi alanları içerir.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
promptisteğe bağlı
structured_promptisteğe bağlı
structured_prompt.short_descriptionisteğe bağlı
structured_prompt.objectsisteğe bağlı
structured_prompt.objects[].descriptionisteğe bağlı
structured_prompt.objects[].locationisteğe bağlı
structured_prompt.objects[].relationshipgerekli
structured_prompt.objects[].relative_sizeisteğe bağlı
structured_prompt.objects[].shape_and_coloristeğe bağlı
structured_prompt.objects[].textureisteğe bağlı
structured_prompt.objects[].appearance_detailsisteğe bağlı
structured_prompt.objects[].number_of_objectsisteğe bağlı
structured_prompt.objects[].poseisteğe bağlı
structured_prompt.objects[].expressionisteğe bağlı
structured_prompt.objects[].clothingisteğe bağlı
structured_prompt.objects[].actionisteğe bağlı
structured_prompt.objects[].genderisteğe bağlı
structured_prompt.objects[].skin_tone_and_textureisteğe bağlı
structured_prompt.objects[].orientationisteğe bağlı
structured_prompt.background_settingisteğe bağlı
structured_prompt.lightingisteğe bağlı
structured_prompt.lighting.conditionsisteğe bağlı
structured_prompt.lighting.directionisteğe bağlı
structured_prompt.lighting.shadowsisteğe bağlı
structured_prompt.aestheticsisteğe bağlı
structured_prompt.aesthetics.compositionisteğe bağlı
structured_prompt.aesthetics.color_schemeisteğe bağlı
structured_prompt.aesthetics.mood_atmosphereisteğe bağlı
structured_prompt.aesthetics.aesthetic_scoreisteğe bağlı
structured_prompt.aesthetics.preference_scoreisteğe bağlı
structured_prompt.photographic_characteristicsisteğe bağlı
structured_prompt.photographic_characteristics.depth_of_fieldisteğe bağlı
structured_prompt.photographic_characteristics.focusisteğe bağlı
structured_prompt.photographic_characteristics.camera_angleisteğe bağlı
structured_prompt.photographic_characteristics.lens_focal_lengthisteğe bağlı
structured_prompt.style_mediumisteğe bağlı
structured_prompt.text_renderisteğe bağlı
structured_prompt.contextisteğe bağlı
structured_prompt.artistic_styleisteğe bağlı
structured_prompt.trigger_wordisteğe bağlı
structured_prompt.sub_trigger_wordisteğe bağlı
structured_prompt.art_directionisteğe bağlı
structured_prompt.action_descriptionisteğe bağlı
structured_prompt.actor_prefixisteğe bağlı
image_urlisteğe bağlı
image
seedisteğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo/generate/structured_prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 10,
"usd": "0.01",
"charged": 10,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"aesthetic_score": "string",
"preference_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [],
"context": "string",
"artistic_style": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- short_description
- string | nullAmaçlanan çıktı görselinin kısa açıklaması.
- objects
- array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullOluşturulan görselin içeriğini liste olarak belirtin; her nesnenin özniteliklerini ve gösterilen diğer nesnelerle ilişkilerini kaydedin.
- background_setting
- string | nullOluşturulan görselin arka plan ortamı.
- lighting
- object {conditions, direction, shadows} | nullOluşturulan görselin aydınlatması.
- aesthetics
- object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score} | nullOluşturulan görselin estetik nitelikleri.
- photographic_characteristics
- object {depth_of_field, focus, camera_angle, lens_focal_length} | nullOluşturulan görselin fotoğrafik özellikleri.
- style_medium
- string | nullOluşturulan görselin sanatsal ortamı.
- text_render
- array of any | nullGörsele eklenecek metin girdilerinin listesi.
- context
- string | nullOluşturulan görselin bağlamı.
- artistic_style
- string | nullOluşturulan görselin sanatsal stili.
Diğer Bria Fibo varyantları
Daha fazla model: LLM
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bria/fibo/generate/structured_prompt.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt